(module vandusen-chicken

()

(import chicken scheme)
(use vandusen uri-common irc)

(plugin 'chicken
	(lambda ()
	  (command 'egg
		   '(: "egg" (+ space) (submatch (+ (~ space))) (? (* space) (submatch (+ (~ space)))))
		   (lambda (msg egg user)
                     (reply-to msg (format "~A~A suggests http://wiki.call-cc.org/egg/~A" 
                                           (if user (format "~A: " user) "")
                                           (car (irc:message-prefix msg))
                                           (uri-encode-string egg))
                               prefixed: #f))
		   public: #t)

          (command 'pastiche
                   '(: "url" (? "?"))
                   (lambda (msg)
                     (reply-to msg "http://paste.call-cc.org/"))
                   public: #t)))

)